Update by id
curl --request PATCH \
--url https://api.example.com/v3/alert-rules/{alert_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"warning_threshold": 123,
"critical_threshold": 123,
"evaluation_delay": 123,
"enable_notification": true,
"auto_threshold_params": {
"warning_multiplier": 123,
"critical_multiplier": 123
}
}
'import requests
url = "https://api.example.com/v3/alert-rules/{alert_id}"
payload = {
"name": "<string>",
"warning_threshold": 123,
"critical_threshold": 123,
"evaluation_delay": 123,
"enable_notification": True,
"auto_threshold_params": {
"warning_multiplier": 123,
"critical_multiplier": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
warning_threshold: 123,
critical_threshold: 123,
evaluation_delay: 123,
enable_notification: true,
auto_threshold_params: {warning_multiplier: 123, critical_multiplier: 123}
})
};
fetch('https://api.example.com/v3/alert-rules/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"metric": {
"id": "<string>",
"display_name": "<string>"
},
"evaluation_delay": 123,
"model": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"baseline": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"is_fiddler_generated": true,
"feature_names": [
"<string>"
],
"compare_bin_delta": 123,
"category": "<string>",
"auto_threshold_params": {
"warning_multiplier": 123,
"critical_multiplier": 123
},
"warning_threshold": 123,
"critical_threshold": 123,
"enable_notification": true,
"segment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition": "<string>"
}
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Alert Rules
Update by id
Update Alert Rule by id
PATCH
/
v3
/
alert-rules
/
{alert_id}
Update by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
alert id path parameter
Body
application/json
Name of the Alert Rule.
Warning threshold for the Alert Rule.
Critical threshold for the Alert Rule.
Evaluation Delay for the Alert Rule. It is in number of hours.
Available options:
HIGH, MEDIUM, LOW Indicates whether notifications are enabled for the Alert Rule.
Auto threshold parameters for the Alert Rule. These parameters are used to tweak the calculations of the thresholds.
Show child attributes
Show child attributes
⌘I